Page MenuHomePhabricator

Phame blog posts don't have 'published' metadata, only 'updated'
Closed, ResolvedPublic

Description

When a Phame blog post is updated, its item in its blog's feed is given a new date stamp and so appears at the top.

For example https://phabricator.wikimedia.org/phame/blog/feed/5/ (as of the time of writing) contains

<entry>
  <title>Labs and Tool Labs being renamed</title>
  <link href="/phame/live/5/post/59/labs_and_tool_labs_being_renamed/" />
  <id>https://phabricator.wikimedia.org/phame/post/view/59/</id>
  <author><name>bd808 (Bryan Davis)</name></author>
  <updated>2018-03-05T04:30:22+00:00</updated>
  <content type="xhtml"></content>
</entry>

even though that blog post was published on Jul 13 2017, 6:59 AM.

There should be an additional <published> element.

About updated:

The "atom:updated" element is a Date construct indicating the most recent instant in time when an entry or feed was modified in a way the publisher considers significant.
Therefore, not all modifications necessarily result in a changed atom:updated value.
Publishers MAY change the value of this element over time.

About published:

The "atom:published" element is a Date construct indicating an instant in time associated with an event early in the life cycle of the entry.
Typically, atom:published will be associated with the initial creation or first availability of the resource.

(I originally noted this on a comment to the above blog post. I realise this is probably something that I should report upstream, but for some reason am unable to log in there right now.)

Event Timeline

Samwilson created this task.Mar 5 2018, 4:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 4:44 AM
Restricted Application added a project: Upstream. · View Herald TranscriptMar 5 2018, 9:54 AM
mmodell triaged this task as Normal priority.Mar 5 2018, 6:23 PM
mmodell added a subscriber: mmodell.Mar 7 2018, 8:46 PM

This should be resolved with tonight's phabricator upgrade

mmodell closed this task as Resolved.Mar 8 2018, 1:19 AM
mmodell claimed this task.

Confirmed that the feeds now have both <published> and <updated> elements.